#!/usr/bin/perl

use strict;
use warnings;
use LWP::UserAgent;

# $Id: update.pl 84 2007-12-19 23:09:23Z ed $
# $URL: svn+ssh://fw/repos/code/apache2_modules/cidr/update.pl $

# http://aso.icann.org/stats/index.html

my @files = qw( ftp://ftp.afrinic.net/pub/stats/afrinic/delegated-afrinic-latest
	ftp://ftp.apnic.net/pub/stats/apnic/delegated-apnic-latest
	ftp://ftp.arin.net/pub/stats/arin/delegated-arin-latest
	ftp://ftp.lacnic.net/pub/stats/lacnic/delegated-lacnic-latest
	ftp://ftp.ripe.net/ripe/stats/delegated-ripencc-latest );

sub file_name {
	my $f = shift;

	if( $f =~ /^.+?(ftp\.)(.+)\./ ) {
		print( "$2\n" );
		return( $2 );
	}
	return( undef );
}

foreach( @files ) {
	my $ua = LWP::UserAgent->new();
	my $re = $ua->get( $_ );
	if( $re->is_success ) {
		my $fn = file_name( $_ );
		open( F, ">$fn.txt" ) or
			die( "Cannot open $fn: $!" );
		print( F $re->content );
		close(F);
	}
}


